#1197 closed defect (fixed)

suseconds_t lacking

Reported by: Johnny Willemsen Owned by: Ralf Corsepius
Priority: normal Milestone: 4.8
Component: unspecified Version: 4.6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

A small posix mismatch, posix defines suseconds_t as listed on http://www.opengroup.org/onlinepubs/009695399/basedefs/sys/types.h.html. This seems not to be available in rtems.

Change History (5)

comment:1 Changed on Jan 3, 2007 at 6:02:04 AM by Johnny Willemsen

blocked: 1207

comment:2 Changed on Jan 14, 2007 at 3:24:45 AM by Ralf Corsepius

Status: newassigned

comment:3 Changed on Jan 14, 2007 at 3:25:11 AM by Ralf Corsepius

Owner: changed from Joel Sherrill to Ralf Corsepius
Status: assignednew

comment:4 Changed on Jan 14, 2007 at 3:27:40 AM by Ralf Corsepius

Resolution: fixed
Status: newclosed

Replying to comment:3:

newlib 1.15.0 has this. newlib 1.14 did not.

We won't be updating the tools for 4.6 so this will never be fixed there.

For 4.8, it will be fixed when we switch to newlib 1.15.

The question for Ralf is what I mentioned on PR 1207
-- do the 4.7 tools switch to 1.15?

With the latest spin of toolchain builds, they did.

=> suseconds_t now is available for rtems-4.7 and rtems-4.8.

comment:5 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.